$(document).ready(function () {

    var year = serverDate().split('/')[0];
    var month = serverDate().split('/')[1];
    if (month.length == 1) {
        month = "0" + month;
    }


    $.ajax({
        type: "GET",
        url: "/db/dashboard/count/" + year + "/" + month,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            $('#h_usa_today').text("Today : " + response.usa_today);
            $('#h_usa_month').text("This Month : " + response.usa_month);
            $('#h_local_today').text("Today : " + response.local_today);
            $('#h_local_month').text("This Month : " + response.local_month);

            $('#h_new_status').text("New : " + response.new_status);
            $('#h_accept_status').text("Accepted : " + response.accept_status);
            $('#h_plan_status').text("Planned : " + response.plan_status);
            $('#h_schedule_status').text("Scheduled : " + response.schedule_status);


        },
        error: function (error) {
            console.log(error);

        },
        complete: function () {

        }
    });


    $('input[name="txtDate"]').daterangepicker({
        singleDatePicker: true,
        showDropdowns: true,
        locale: {
            format: 'YYYY-MM-DD',
        }

    });
    $('input[name="txtDate"]').on('apply.daterangepicker', function (ev, picker) {

        getProducedQuantity(picker.startDate.format('YYYY-MM-D'));
        tableScheduleOnGoing(picker.startDate.format('YYYY-MM-D'));

    });



    
    getProducedQuantity($('#txtDate').val());
    tableScheduleOnGoing($('#txtDate').val());



});


function getProducedQuantity(date) {
    $.ajax({
        type: "GET",
        url: "/db/dashboard/tableProducedQuantity/" + date,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);

            var result = response.result;
            console.log(result);
            $("#myTable > tbody").empty();
            var bg_color = ["table-Light","table-info"];
            for (var i = 0; i < result.length; i++) {

                var html = '<tr class="'+bg_color[i % 2]+'">';

                html += '<td style="max-width:100px;min-width:100px;">';
                html += result[i].purchase_order;
                html += '</td>';

                html += '<td style="max-width:100px;min-width:100px;">';
                html += result[i].factory_po_num;
                html += '</td>';

                html += '<td>';
                html += result[i].customer_name;
                html += '</td>';

                html += '<td>';
                html += result[i].product_name;
                html += '</td>';

                html += '<td style="max-width:100px; text-align:right;">';
                html += result[i].ordered_quantity;
                html += '</td>';

                html += '<td style="max-width:100px; text-align:right;">';
                html += result[i].producedQuantity;
                html += '</td>';

                html += '</tr>';
                $("#myTable > tbody").append(html);
            }




        },
        error: function (error) {
            console.log(error);

        },
        complete: function () {

        }
    });
}






function tableScheduleOnGoing(date) {
    $.ajax({
        type: "GET",
        url: "/db/dashboard/tableScheduleOnGoing/" + date,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);

            var result = response.result;
            console.log(result);
            $("#tableOngoing > tbody").empty();
            var bg_color = ["table-Light", "table-info"];
            for (var i = 0; i < result.length; i++) {

                var html = '<tr class="' + bg_color[i % 2] + '">';

                html += '<td style="max-width:100px;min-width:100px;">';
                html += result[i].purchase_order;
                html += '</td>';

                html += '<td style="max-width:100px;min-width:100px;">';
                html += result[i].factory_po_num;
                html += '</td>';

                html += '<td>';
                html += result[i].customer_name;
                html += '</td>';

                html += '<td>';
                html += result[i].product_name;
                html += '</td>';

                html += '<td style="max-width:100px; text-align:right;">';
                html += result[i].ordered_quantity;
                html += '</td>';

                html += '<td style="max-width:100px; text-align:right;">';
                html += result[i].producedQuantity;
                html += '</td>';

                html += '<td style="max-width:100px; text-align:right;">';
                html += result[i].todayQuantity;
                html += '</td>';

                html += '</tr>';
                $("#tableOngoing > tbody").append(html);
            }




        },
        error: function (error) {
            console.log(error);

        },
        complete: function () {

        }
    });
}